
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Datenbank: `Songs`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Playlist`
--

CREATE TABLE `Playlist` (
  `id` int(11) NOT NULL,
  `titel` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `Playlist`
--

INSERT INTO `Playlist` (`id`, `titel`) VALUES
(1, 'Good Oldies'),
(2, 'Fussballhits');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Song`
--

CREATE TABLE `Song` (
  `id` int(11) NOT NULL,
  `titel` varchar(100) NOT NULL,
  `genre` varchar(100) NOT NULL,
  `interpret` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `Song`
--

INSERT INTO `Song` (`id`, `titel`, `genre`, `interpret`) VALUES
(1, 'Gaslighter', 'country', 'The Chicks'),
(2, 'Wavin‘ Flag', 'world', 'K‘naan'),
(3, 'Try', 'country rock', 'Neil Young'),
(4, '’54, ’74, ’90, 2006', 'indie rock', 'Sportfreunde Stiller');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Song_in_Playlist`
--

CREATE TABLE `Song_in_Playlist` (
  `song_id` int(11) NOT NULL,
  `playlist_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `Song_in_Playlist`
--

INSERT INTO `Song_in_Playlist` (`song_id`, `playlist_id`) VALUES
(1, 1),
(2, 2),
(3, 1),
(4, 2);

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `Playlist`
--
ALTER TABLE `Playlist`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `Song`
--
ALTER TABLE `Song`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `Song_in_Playlist`
--
ALTER TABLE `Song_in_Playlist`
  ADD PRIMARY KEY (`song_id`,`playlist_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
